# Search Skills

> Search skills using a JSON filter DSL (recursive AND/OR/Condition).

Canonical URL: https://docs.botyard.io/docs/api/skills/search_skills_v1_orgs__org_id__skills_search_post

`POST /v1/orgs/{org_id}/skills/search`

Search skills using a JSON filter DSL (recursive AND/OR/Condition).

An empty body (or one with only ``pagination``) is equivalent to
``GET /skills``. See ``core/src/botyard_core/filters/AGENTS.md`` for the
wire-format spec and ``SkillFilterField`` for the list of filterable fields.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `org_id` | path | yes | string |  |

## Request body

`application/json`: SkillSearchRequest

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `where` | FilterNode_SkillFilterField_ \| null | no |  |
| `pagination` | PaginationParams | no |  |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | PaginatedResponse_SkillSummaryResponse_ |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `search_skills_v1_orgs__org_id__skills_search_post` in the OpenAPI spec at https://api.botyard.io/openapi.json.
